pcl::tracking::ParticleXYRPY Struct Reference

`#include <pcl/tracking/impl/tracking.hpp>`

Inheritance diagram for pcl::tracking::ParticleXYRPY:

## Public Member Functions

| ParticleXYRPY ()
| ParticleXYRPY (float _x, float, float _z)
| ParticleXYRPY (float _x, float, float _z, float _roll, float _pitch, float _yaw)
void | sample (const std::vector< double > &mean, const std::vector< double > &cov)
void | zero ()
Eigen::Affine3f | toEigenMatrix () const
float | operator[] (unsigned int i)

## Static Public Member Functions

static int | stateDimension ()
static pcl::tracking::ParticleXYRPY | toState (const Eigen::Affine3f &trans)

## Additional Inherited Members

Public Attributes inherited from pcl::tracking::_ParticleXYRPY
| PCL_ADD_POINT4D
union {
struct {
float roll
float pitch
float yaw
float weight
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 373 of file tracking.hpp.

## Constructor & Destructor Documentation

## ParticleXYRPY() [1/3]

pcl::tracking::ParticleXYRPY::ParticleXYRPY | ( |  | ) |

inline

Definition at line 375 of file tracking.hpp.

## ParticleXYRPY() [2/3]

pcl::tracking::ParticleXYRPY::ParticleXYRPY | ( | float | _x,
|  | float | ,
|  | float | _z
| ) |  |

inline

Definition at line 381 of file tracking.hpp.

## ParticleXYRPY() [3/3]

pcl::tracking::ParticleXYRPY::ParticleXYRPY | ( | float | _x,
|  | float | ,
|  | float | _z,
|  | float | _roll,
|  | float | _pitch,
|  | float | _yaw
| ) |  |

inline

Definition at line 388 of file tracking.hpp.

## Member Function Documentation

## operator[]()

float pcl::tracking::ParticleXYRPY::operator[] | ( | unsigned int | i | ) |

inline

Definition at line 437 of file tracking.hpp.

## sample()

void pcl::tracking::ParticleXYRPY::sample | ( | const std::vector< double > & | mean,
|  | const std::vector< double > & | cov
| ) |  |

inline

Definition at line 399 of file tracking.hpp.

References pcl::tracking::sampleNormal().

## stateDimension()

static int pcl::tracking::ParticleXYRPY::stateDimension | ( |  | ) |

inline static

Definition at line 396 of file tracking.hpp.

## toEigenMatrix()

Eigen::Affine3f pcl::tracking::ParticleXYRPY::toEigenMatrix | ( |  | ) | const

inline

Definition at line 421 of file tracking.hpp.

References pcl::getTransformation().

## toState()

static pcl::tracking::ParticleXYRPY pcl::tracking::ParticleXYRPY::toState | ( | const Eigen::Affine3f & | trans | ) |

inline static

Definition at line 427 of file tracking.hpp.

References pcl::getTranslationAndEulerAngles().

## zero()

void pcl::tracking::ParticleXYRPY::zero | ( |  | ) |

inline

Definition at line 410 of file tracking.hpp.

The documentation for this struct was generated from the following file:

- pcl/tracking/impl/tracking.hpp